﻿/*---------------------------------------------------------------------------*
# Colorbit Sample
 *---------------------------------------------------------------------------*/

#ifndef NN_SAMPLE_DEMOS_DEMO2_SLEEP_H_
#define NN_SAMPLE_DEMOS_DEMO2_SLEEP_H_

/*------------------------------------------------------------------------*
        本体スリープに関連する処理
 *------------------------------------------------------------------------*/
    class SleepHandler
    {
    public:
        SleepHandler() {}
        ~SleepHandler() {}

        static void Initialize( void );
        static void Finalize( void );
        static bool IsSleepRequested( void );
        static void SleepSystem( void );

        static AppletQueryReply SleepQueryCallback( uptr arg );
        static void             AwakeCallback( uptr arg );
        
    private:
        static nn::os::LightEvent   s_AwakeEvent;
        static bool                 s_IsInitialized;
    };


#endif // NN_SAMPLE_DEMOS_DEMO2_SLEEP_H_
